Bug 737056 - Cannot set sync schedule with certain products
Summary: Cannot set sync schedule with certain products
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Katello
Classification: Retired
Component: WebUI
Version: 1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 1.0
Assignee: Pradeep Kilambi
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-09 13:31 UTC by Jeff Weiss
Modified: 2014-11-09 22:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-18 20:59:36 UTC


Attachments (Terms of Use)

Description Jeff Weiss 2011-09-09 13:31:55 UTC
Description of problem:
I have been trying to figure out what exactly about my automation is reproducing this, but I haven't been able to get it.  All I know is, after the automation creates some repos and sync plans, if I try to apply ANY plan to ANY product, it fails with the same error.  It may have something to do with the way the automation creates the products via the API, but still, something is very wrong because even products created in the UI fail.

You can run the automation against your own server to set up the repro, go here:
http://hudson.rhq.lab.eng.bos.redhat.com:8080/hudson/view/qe-katello/job/katello-gui/

click "Build now" and enter your machine's hostname.  After it finishes (about 6 min) try to apply any sync plan to any product.

Version-Release number of selected component (if applicable):
katello-0.1.78-1.git.0.d9b9e4c.fc14.noarch

How reproducible:
always, with automation setup

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Started POST "/sync_schedules/apply" for 10.11.10.10 at Fri Sep 09 09:18:49 -0400 2011
  Processing by SyncSchedulesController#apply as HTML
  Parameters: {"data"=>"{\"products\":[\"12\"],\"plans\":[\"5\"]}", "authenticity_token"=>"sUH7aVaOpTlrTkUHF3857xcXZRAaqERXRIBpcaC1jlw=", "utf8"=>"✓"}
Completed   in 239ms

RestClient::InternalServerError (Pulp::Repository: 500 Internal Server Error "Traceback (most recent call last):\n  File \"/usr/lib/python2.7/site-packages/pulp/server/webservices/controllers/decorators.py\", line 48, in report_error\n    return method(self, *args, **kwargs)\n  File \"/usr/lib/python2.7/site-packages/pulp/server/webservices/controllers/decorators.py\", line 127, in _auth_decorator\n    value = method(self, *args, **kwargs)\n  File \"/usr/lib/python2.7/site-packages/pulp/server/webservices/controllers/repositories.py\", line 330, in PUT\n    repo = api.update(id, delta)\n  File \"/usr/lib/python2.7/site-packages/pulp/server/api/repo.py\", line 604, in update\n    repo = self._get_existing_repo(id)\n  File \"/usr/lib/python2.7/site-packages/pulp/server/api/repo.py\", line 116, in _get_existing_repo\n    raise PulpException(\"No Repo with id: %s found\" % id)\nPulpException: u'No Repo with id: 1-2-ACME_Corporation found'\n" (PUT /pulp/api/repositories/1-2-ACME_Corporation/)):
  lib/http_resource.rb:105:in `put'
  lib/resources/pulp.rb:189:in `update'
  app/models/glue/pulp/repos.rb:227:in `setup_sync_schedule'
  app/models/glue/pulp/repos.rb:225:in `each'
  app/models/glue/pulp/repos.rb:225:in `setup_sync_schedule'
  app/models/glue.rb:137:in `send'
  app/models/glue.rb:137:in `execute'
  app/models/glue.rb:97:in `process'
  app/models/glue.rb:93:in `each'
  app/models/glue.rb:93:in `process'
  app/models/glue.rb:32:in `on_save'
  app/models/lazy_accessor.rb:105:in `save!'
  app/controllers/sync_schedules_controller.rb:71:in `apply'
  app/controllers/sync_schedules_controller.rb:63:in `apply'
  lib/util/threadsession.rb:77:in `thread_locals'

Comment 1 Jason E. Rist 2012-12-18 20:59:56 UTC
<jweiss> jrist: i have not seen it in a long time, and i don't have any tests blocked waiting on this bug to be fixed.  so i say mark closed/worksforme and i'll reopen if necessary


Note You need to log in before you can comment on or make changes to this bug.